<template>
  
    <v-dialog
      v-model="dialog"
      max-width="30%"
    >
        <v-card>
            <v-card-title
                class="headline grey lighten-2 pt-2 pb-2"
                primary-title
            >
            Peringatan !
            </v-card-title>
            <v-card-text class="pt-2 pb-2" v-html="xmsg">
            </v-card-text>
            <v-divider></v-divider>
            <v-card-actions>
                <v-btn
                    color="primary"
                    flat
                    @click="closeAlertValidation()"
                >
                Tutup
                </v-btn>
            </v-card-actions>
        </v-card>
    </v-dialog>
  
</template>

<style scoped>
</style>

<script>
module.exports = {
    props : ['status', 'msg'],
    computed : {
        xmsg() {
            return this.msg
        },
        dialog: {
            get() {
                return this.status
            },
            set(val) {
                 this.$emit('close-dialog-alert-validation')
            }
        }
    },
    methods: {
        closeAlertValidation() {
            this.$emit('close-dialog-alert-validation')
        }
    }
}
</script>
